// Test of Scanner
#include <iostream>
#include "ExprParser.h"

using namespace std;

int main() {
    string inputLine;
    Scanner scanner;
    while (true) {
        cout << "Enter a line:" << endl;
        // cin >> inputLine; // inputs a single word only
        getline(cin, inputLine);
        if (!cin.good() || inputLine == "q")
            break;
        scanner.init(inputLine.c_str());
        while (true) {
            Token token = scanner.getToken();
            cout << token << endl;
            if (token.lex == Token::ENDLINE)
                break;
        }
    }
    return 0;
}
        
        
